Bug 598546 - "pkg-config --libs OpenIPMIpthread" fails
Summary: "pkg-config --libs OpenIPMIpthread" fails
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: OpenIPMI   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 468067
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 15:35 UTC by Alan Pevec
Modified: 2010-06-21 12:55 UTC (History)
4 users (show)

Fixed In Version: OpenIPMI-2.0.16-6.fc12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 468067
Environment:
Last Closed: 2010-06-21 12:55:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Pevec 2010-06-01 15:35:21 UTC
Clone for F-12

+++ This bug was initially created as a clone of Bug #468067 +++

...
Please remove bogus pthread from Requires:
in /usr/lib/pkgconfig/OpenIPMIpthread.pc
and add -pthread to Cflags:

--- Additional comment from jsafrane@redhat.com on 2010-06-01 08:52:21 EDT ---
> Can you also apply the pkgconfig patch to F-12 and F-13?    
Of course I can! If only _someone_ opened a bug for me there ;-).

Comment 1 Fedora Update System 2010-06-02 08:06:29 UTC
OpenIPMI-2.0.16-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/OpenIPMI-2.0.16-6.fc12

Comment 2 Fedora Update System 2010-06-02 18:07:09 UTC
OpenIPMI-2.0.16-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update OpenIPMI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/OpenIPMI-2.0.16-6.fc12

Comment 3 Fedora Update System 2010-06-21 12:54:55 UTC
OpenIPMI-2.0.16-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.